/* Analyzed bindings: {
  "active": "props",
  "disabled": "props",
  "item": "props",
  "inject": "setup-const",
  "PropType": "setup-const",
  "ref": "setup-const",
  "toRefs": "setup-const",
  "watchEffect": "setup-const",
  "useSlots": "setup-const",
  "Avatar": "setup-maybe-ref",
  "props": "setup-reactive-const",
  "emit": "setup-const",
  "click": "setup-const"
} */
import { defineComponent as _defineComponent } from 'vue';
import { renderSlot as _renderSlot, toDisplayString as _toDisplayString, createElementVNode as _createElementVNode, createCommentVNode as _createCommentVNode, unref as _unref, createVNode as _createVNode, openBlock as _openBlock, createElementBlock as _createElementBlock, normalizeClass as _normalizeClass } from "vue";
const _hoisted_1 = { class: "j-card-title-warp" };
const _hoisted_2 = { class: "title" };
const _hoisted_3 = { class: "sub-title" };
const _hoisted_4 = {
    key: 0,
    class: "j-card-image"
};
import { Avatar } from '../components';
const __sfc_main__ = /*#__PURE__*/ _defineComponent({
    props: {
        active: {
            type: Boolean,
            default: false,
        },
        disabled: {
            type: Boolean,
            default: false,
        },
        item: {
            type: Object,
            default: () => ({}),
        },
    },
    emits: ['click'],
    setup(__props, { emit }) {
        const props = __props;
        const click = () => {
            emit('click', props.item.value, props.item);
        };
        return (_ctx, _cache) => {
            return (_openBlock(), _createElementBlock("div", {
                class: _normalizeClass({
                    'j-card-item': true,
                    active: __props.active,
                    disabled: __props.disabled,
                    horizontal: _ctx.type === 'horizontal',
                    vertical: _ctx.type !== 'horizontal',
                    right: _ctx.float === 'right',
                    left: _ctx.float === 'left',
                }),
                onClick: click
            }, [
                _createElementVNode("div", _hoisted_1, [
                    _renderSlot(_ctx.$slots, "title", {
                        title: __props.item.title
                    }, () => [
                        _createElementVNode("div", _hoisted_2, _toDisplayString(__props.item.label), 1 /* TEXT */)
                    ]),
                    (__props.item.subLabel && _ctx.showImage)
                        ? _renderSlot(_ctx.$slots, "subLabel", {
                            key: 0,
                            subLabel: __props.item.subLabel
                        }, () => [
                            _createElementVNode("div", _hoisted_3, _toDisplayString(__props.item.subLabel), 1 /* TEXT */)
                        ])
                        : _createCommentVNode("v-if", true)
                ]),
                (_ctx.showImage)
                    ? (_openBlock(), _createElementBlock("div", _hoisted_4, [
                        _renderSlot(_ctx.$slots, "image", {
                            image: __props.item.iconUrl
                        }, () => [
                            _createVNode(_unref(Avatar), {
                                class: "icon box-shadow",
                                src: __props.item.iconUrl
                            }, null, 8 /* PROPS */, ["src"])
                        ])
                    ]))
                    : _createCommentVNode("v-if", true)
            ], 2 /* CLASS */));
        };
    }
});
export default __sfc_main__;