/* Analyzed bindings: {
  "loading": "setup-maybe-ref",
  "confirm": "setup-maybe-ref"
} */
import { ref } from 'vue';
const __sfc_main__ = {
    name: 'Loading',
    setup() {
        const loading = ref(false);
        const confirm = () => {
            loading.value = true;
            setTimeout(() => {
                loading.value = false;
            }, 2000);
        };
        return {
            loading,
            confirm,
        };
    },
};
export default __sfc_main__;