import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { resolveDirective as _resolveDirective, createVNode as _createVNode } from "vue";
import Table from "ant-design-vue/es/table/Table";
import { Empty } from '../components';
import { defineComponent } from 'vue';
var JTable = defineComponent({
  name: 'JTable',
  inheritAttrs: false,
  setup: function setup(_props, _ref) {
    var attrs = _ref.attrs,
      slots = _ref.slots;
    return function () {
      return _createVNode(Table, attrs, _objectSpread({
        emptyText: function emptyText() {
          if (slots !== null && slots !== void 0 && slots.emptyText) {
            return slots.emptyText();
          } else {
            return _createVNode(Empty, null, null);
          }
        }
      }, slots));
    };
  }
});
export default JTable;