"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var $Icon = _interopRequireWildcard(require("@ant-design/icons-vue/lib/icons"));
require("./iconfont");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var MyIcon = (0, $Icon.createFromIconfontCN)({
  scriptUrl: '//at.alicdn.com/t/font_8d5l8fzk5b87iudi.js' // 在 iconfont.cn 上生成
});

var aIcon = $Icon;
var AntdIcon = function AntdIcon(props) {
  return (0, _vue.createVNode)(aIcon[props.type]);
};
var Icon = function Icon(props) {
  return Object.keys(aIcon).includes(props.type) ? (0, _vue.createVNode)(AntdIcon, props, null) : (0, _vue.createVNode)(MyIcon, props, null);
};
var _default = (0, _vue.defineComponent)({
  name: 'AIcon',
  // 传入组件配置
  props: ['type', 'scriptUrl', 'class'],
  emits: ['click'],
  setup: function setup(props, _ref) {
    var emit = _ref.emit,
      attrs = _ref.attrs;
    (0, _vue.watchEffect)(function () {
      if (props.scriptUrl) {
        MyIcon = (0, $Icon.createFromIconfontCN)({
          scriptUrl: props.scriptUrl
        });
      }
    });
    var click = function click() {
      emit('click');
    };
    // const render = () => {
    //     return
    // };
    return function () {
      return (0, _vue.createVNode)(Icon, (0, _objectSpread2.default)((0, _objectSpread2.default)({}, props), {}, {
        "style": attrs.style,
        "onClick": click
      }), null);
    };
  }
});
exports.default = _default;