/* Analyzed bindings: {
  "type": "props",
  "rowData": "props",
  "ref": "setup-const",
  "DataTableInteger": "setup-maybe-ref",
  "DataTableDouble": "setup-maybe-ref",
  "props": "setup-reactive-const",
  "value": "setup-ref"
} */
import { defineComponent as _defineComponent } from 'vue';
import { renderSlot as _renderSlot, unref as _unref, openBlock as _openBlock, createBlock as _createBlock, createCommentVNode as _createCommentVNode, createElementBlock as _createElementBlock } from "vue";
const _hoisted_1 = { class: "j-row-config" };
import { ref } from 'vue';
import { DataTableInteger, DataTableDouble } from './index';
const __sfc_main__ = /*#__PURE__*/ _defineComponent({
    props: {
        type: {
            type: String,
            default: undefined,
        },
        rowData: {
            type: Object,
            default: () => ({}),
        },
    },
    setup(__props) {
        const props = __props;
        const value = ref(props.rowData);
        return (_ctx, _cache) => {
            return (_openBlock(), _createElementBlock("div", _hoisted_1, [
                _renderSlot(_ctx.$slots, "config", {
                    rowData: { rowData: __props.rowData }
                }),
                (['int', 'long'].includes(__props.type))
                    ? (_openBlock(), _createBlock(_unref(DataTableInteger), {
                        key: 0,
                        modelValue: value.value,
                        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => ((value).value = $event))
                    }, null, 8 /* PROPS */, ["modelValue"]))
                    : (['float', 'double'].includes(__props.type))
                        ? (_openBlock(), _createBlock(_unref(DataTableDouble), {
                            key: 1,
                            modelValue: value.value,
                            "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => ((value).value = $event))
                        }, null, 8 /* PROPS */, ["modelValue"]))
                        : _createCommentVNode("v-if", true)
            ]));
        };
    }
});
export default __sfc_main__;