"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  FULL_CODE: true
};
exports.default = exports.FULL_CODE = void 0;
var _dataTable = _interopRequireDefault(require("./dataTable.js"));
var _DataTable = _interopRequireDefault(require("./DataTable2.js"));
var _components = require("./components");
Object.keys(_components).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _components[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _components[key];
    }
  });
});
var FULL_CODE = 'DATA_EDITOR_FULL_REF';
exports.FULL_CODE = FULL_CODE;
_dataTable.default.install = function (app) {
  app.component('JDataTable', _dataTable.default);
  app.component('JDataTables', _DataTable.default);
  app.component('JDataTableArray', _components.DataTableArray);
  app.component('JDataTableString', _components.DataTableString);
  app.component('JDataTableBoolean', _components.DataTableBoolean);
  app.component('JDataTableInteger', _components.DataTableInteger);
  app.component('JDataTableDouble', _components.DataTableDouble);
  app.component('JDataTableEnum', _components.DataTableEnum);
  app.component('JDataTableFile', _components.DataTableFile);
  app.component('JDataTableDate', _components.DataTableDate);
  app.component('JDataTableType', _components.DataTableTypeSelect);
  app.component('JDataTableObject', _components.DataTableObject);
  return app;
};
var _default = _dataTable.default;
exports.default = _default;