/* Analyzed bindings: {
  "Descriptions": "setup-maybe-ref",
  "descriptionsProps": "setup-maybe-ref",
  "useSlots": "setup-const",
  "slots": "setup-maybe-ref",
  "slotArr": "setup-maybe-ref",
  "props": "setup-reactive-const"
} */
import { defineComponent as _defineComponent } from 'vue';
import { unref as _unref, renderSlot as _renderSlot, normalizeProps as _normalizeProps, guardReactiveProps as _guardReactiveProps, withCtx as _withCtx, renderList as _renderList, createSlots as _createSlots, openBlock as _openBlock, createBlock as _createBlock } from "vue";
import { Descriptions } from 'ant-design-vue';
import { descriptionsProps } from 'ant-design-vue/lib/descriptions';
import { useSlots } from 'vue';
const __sfc_main__ = /*#__PURE__*/ _defineComponent({
    props: {
        ...descriptionsProps()
    },
    setup(__props) {
        const props = __props;
        const slots = useSlots();
        const slotArr = Object.keys(slots);
        return (_ctx, _cache) => {
            return (_openBlock(), _createBlock(_unref(Descriptions), _normalizeProps(_guardReactiveProps(props)), _createSlots({ _: 2 /* DYNAMIC */ }, [
                _renderList(_unref(slotArr), (item) => {
                    return {
                        name: item,
                        fn: _withCtx((scope) => [
                            _renderSlot(_ctx.$slots, item)
                        ])
                    };
                })
            ]), 1040 /* FULL_PROPS, DYNAMIC_SLOTS */));
        };
    }
});
export default __sfc_main__;