/* Analyzed bindings: {
  "description": "props",
  "image": "props",
  "imageStyle": "props",
  "Empty": "setup-maybe-ref",
  "useSlots": "setup-const",
  "NoData": "setup-maybe-ref",
  "omit": "setup-maybe-ref",
  "slots": "setup-maybe-ref",
  "renderArr": "setup-maybe-ref",
  "props": "setup-reactive-const",
  "baseProps": "setup-maybe-ref"
} */
import { defineComponent as _defineComponent } from 'vue';
import { unref as _unref, renderSlot as _renderSlot, normalizeProps as _normalizeProps, guardReactiveProps as _guardReactiveProps, withCtx as _withCtx, renderList as _renderList, createSlots as _createSlots, openBlock as _openBlock, createBlock as _createBlock } from "vue";
import { Empty } from 'ant-design-vue';
import { useSlots } from 'vue';
import NoData from './image';
import { omit } from 'lodash-es';
const __sfc_main__ = /*#__PURE__*/ _defineComponent({
    props: {
        description: {
            type: String,
            default: '暂无数据',
        },
        image: {
            type: String,
            default: NoData,
        },
        imageStyle: {
            type: Object,
            default: () => {
                return { height: '60px' };
            },
        },
    },
    setup(__props) {
        const props = __props;
        const slots = useSlots();
        const renderArr = Object.keys(slots);
        console.log(renderArr);
        const baseProps = omit(props, ...renderArr);
        return (_ctx, _cache) => {
            return (_openBlock(), _createBlock(_unref(Empty), _normalizeProps(_guardReactiveProps(_unref(baseProps))), _createSlots({ _: 2 /* DYNAMIC */ }, [
                _renderList(_unref(renderArr), (item) => {
                    return {
                        name: item,
                        fn: _withCtx((scope) => [
                            _renderSlot(_ctx.$slots, item, { scope: scope })
                        ])
                    };
                })
            ]), 1040 /* FULL_PROPS, DYNAMIC_SLOTS */));
        };
    }
});
export default __sfc_main__;