"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "FormItem", {
  enumerable: true,
  get: function get() {
    return _FormItem.default;
  }
});
Object.defineProperty(exports, "FormItemRest", {
  enumerable: true,
  get: function get() {
    return _FormItemContext.default;
  }
});
exports.default = void 0;
Object.defineProperty(exports, "formItemProps", {
  enumerable: true,
  get: function get() {
    return _index.formItemProps;
  }
});
Object.defineProperty(exports, "formProps", {
  enumerable: true,
  get: function get() {
    return _index.formProps;
  }
});
Object.defineProperty(exports, "useForm", {
  enumerable: true,
  get: function get() {
    return _index.useForm;
  }
});
Object.defineProperty(exports, "useInjectFormItemContext", {
  enumerable: true,
  get: function get() {
    return _index.useInjectFormItemContext;
  }
});
var _Form = _interopRequireDefault(require("ant-design-vue/lib/form/Form"));
var _FormItem = _interopRequireDefault(require("ant-design-vue/lib/form/FormItem"));
var _FormItemContext = _interopRequireWildcard(require("ant-design-vue/lib/form/FormItemContext"));
var _index = require("ant-design-vue/lib/form/index");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
_Form.default.name = 'JForm';
_FormItem.default.name = 'JFormItem';
_FormItemContext.default.name = 'JFormItemRest';
_Form.default.ItemRest = _FormItemContext.default;
_Form.default.useInjectFormItemContext = _FormItemContext.useInjectFormItemContext;
_Form.default.install = function (app) {
  app.component('JForm', _Form.default);
  app.component('JFormItem', _FormItem.default);
  app.component('FormItemRest', _FormItemContext.default);
  return app;
};
var _default = _Form.default;
exports.default = _default;