/* Analyzed bindings: {} */
import { reactive, defineComponent } from 'vue';
import Menus from './menuData';
const __sfc_main__ = defineComponent({
    name: 'Top',
    setup() {
        const baseState = reactive({
            selectedKeys: ['/admin', '/admin/sub-page1'],
            openKeys: ['/admin'],
            // default
            collapsed: false,
        });
        const state = reactive({
            menuData: Menus,
            layout: 'top',
        });
        const pageState = reactive({
            tabList: [
                {
                    tab: 'tab1',
                    key: 'tab1',
                },
                {
                    tab: 'tab2',
                    key: 'tab2',
                },
                {
                    tab: 'tab3',
                    key: 'tab3',
                },
            ],
            active: 'tab1',
        });
        const onTabChange = (key) => {
            pageState.active = key;
        };
        return {
            state,
            baseState,
            pageState,
            onTabChange,
        };
    },
});
export default __sfc_main__;