"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "SkeletonAvatar", {
  enumerable: true,
  get: function get() {
    return _Avatar.default;
  }
});
Object.defineProperty(exports, "SkeletonButton", {
  enumerable: true,
  get: function get() {
    return _Button.default;
  }
});
Object.defineProperty(exports, "SkeletonImage", {
  enumerable: true,
  get: function get() {
    return _Image.default;
  }
});
Object.defineProperty(exports, "SkeletonInput", {
  enumerable: true,
  get: function get() {
    return _Input.default;
  }
});
Object.defineProperty(exports, "SkeletonTitle", {
  enumerable: true,
  get: function get() {
    return _Title.default;
  }
});
exports.default = void 0;
Object.defineProperty(exports, "skeletonProps", {
  enumerable: true,
  get: function get() {
    return _index.skeletonProps;
  }
});
var _Skeleton = _interopRequireDefault(require("ant-design-vue/lib/skeleton/Skeleton"));
var _Button = _interopRequireDefault(require("ant-design-vue/lib/skeleton/Button"));
var _Avatar = _interopRequireDefault(require("ant-design-vue/lib/skeleton/Avatar"));
var _Input = _interopRequireDefault(require("ant-design-vue/lib/skeleton/Input"));
var _Image = _interopRequireDefault(require("ant-design-vue/lib/skeleton/Image"));
var _Title = _interopRequireDefault(require("ant-design-vue/lib/skeleton/Title"));
var _index = require("ant-design-vue/lib/skeleton/index");
_Skeleton.default.name = 'JSkeleton';
_Button.default.name = 'JSkeletonButton';
_Avatar.default.name = 'JSkeletonAvatar';
_Input.default.name = 'JSkeletonInput';
_Image.default.name = 'JSkeletonImage';
_Title.default.name = 'JSkeletonTitle';
_Skeleton.default.install = function (app) {
  app.component(_Skeleton.default.name, _Skeleton.default);
  app.component(_Button.default.name, _Button.default);
  app.component(_Avatar.default.name, _Avatar.default);
  app.component(_Input.default.name, _Input.default);
  app.component(_Image.default.name, _Image.default);
  app.component(_Title.default.name, _Title.default);
  return app;
};
var _default = _Skeleton.default;
exports.default = _default;