"use strict";

var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "DirectoryTree", {
  enumerable: true,
  get: function get() {
    return _tree.DirectoryTree;
  }
});
exports.JLTree = void 0;
Object.defineProperty(exports, "TreeNode", {
  enumerable: true,
  get: function get() {
    return _tree.TreeNode;
  }
});
exports.default = void 0;
Object.defineProperty(exports, "treeFilter", {
  enumerable: true,
  get: function get() {
    return _filterNodeMethod.treeFilter;
  }
});
var _type = require("../util/type");
var _tree = _interopRequireWildcard(require("ant-design-vue/lib/tree"));
var _filterNodeMethod = require("../util/filterNodeMethod");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
_tree.default.name = 'JTree';
_tree.TreeNode.name = 'JTreeNode';
_tree.DirectoryTree.name = 'JDirectoryTree';
var JLTree = (0, _type.withInstall)(_tree.default, 'JTree');
exports.JLTree = JLTree;
var _default = JLTree;
exports.default = _default;