"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useContext = void 0;
var _vue = require("vue");
var useContext = function useContext() {
  var contextInjectKey = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : Symbol();
  var defaultValue = arguments.length > 1 ? arguments[1] : undefined;
  return (0, _vue.inject)(contextInjectKey, defaultValue || {});
};
exports.useContext = useContext;