"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSlot = getSlot;
exports.getSlotVNode = getSlotVNode;
exports.isPromise = void 0;
require("vue");
function getSlot(slots, props) {
  var prop = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'default';
  if (props[prop] === false) {
    // force not render
    return false;
  }
  return props[prop] || slots[prop];
}
function getSlotVNode(slots, props) {
  var _slots$prop;
  var prop = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'default';
  if (props[prop] === false) {
    return false;
  }
  return props[prop] || ((_slots$prop = slots[prop]) === null || _slots$prop === void 0 ? void 0 : _slots$prop.call(slots));
}
var isPromise = function isPromise(fn) {
  return !!fn && typeof fn.then === 'function';
};
exports.isPromise = isPromise;