import Form from "ant-design-vue/es/form/Form";
import FormItem from "ant-design-vue/es/form/FormItem";
import FormItemRest, { useInjectFormItemContext } from "ant-design-vue/es/form/FormItemContext";
export { formItemProps, formProps, useForm, useInjectFormItemContext } from "ant-design-vue/es/form/index";
Form.name = 'JForm';
FormItem.name = 'JFormItem';
FormItemRest.name = 'JFormItemRest';
Form.ItemRest = FormItemRest;
Form.useInjectFormItemContext = useInjectFormItemContext;
Form.install = function (app) {
  app.component('JForm', Form);
  app.component('JFormItem', FormItem);
  app.component('FormItemRest', FormItemRest);
  return app;
};
export default Form;
export { FormItem, FormItemRest };