import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import message from "ant-design-vue/es/message";
function isArgsProps(content) {
  return Object.prototype.toString.call(content) === '[object Object]' && !!content.content;
}
var Message = {};
Message.warning = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? _objectSpread({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return message.warning(_content, duration, onClose);
};
Message.success = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? _objectSpread({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return message.success(_content, duration, onClose);
};
Message.warn = Message.warning;
Message.error = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? _objectSpread({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return message.error(_content, duration, onClose);
};
Message.open = function (arg) {
  return message.open(arg);
};
Message.loading = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? _objectSpread({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return message.loading(_content, duration, onClose);
};
Message.info = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? _objectSpread({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return message.info(_content, duration, onClose);
};
export default Message;