/* Analyzed bindings: {} */
import CN from '../index.md';
import Basic from './basic.js';
import Top from './top.js';
import Side from './side.js';
import { defineComponent, provide } from 'vue';
const __sfc_main__ = defineComponent({
    CN,
    components: {
        Basic,
        Top,
        Side,
    },
    props: {
        iframeName: String,
    },
    setup(props) {
        console.log('props', props);
        provide('iframeDemo', !props.iframeName
            ? {
                Basic: '/iframe/proLayout/#Basic',
                Top: '/iframe/proLayout/#Top',
                Side: '/iframe/proLayout/#Side',
            }
            : {});
    },
});
export default __sfc_main__;