import Skeleton from "ant-design-vue/es/skeleton/Skeleton";
import SkeletonButton from "ant-design-vue/es/skeleton/Button";
import SkeletonAvatar from "ant-design-vue/es/skeleton/Avatar";
import SkeletonInput from "ant-design-vue/es/skeleton/Input";
import SkeletonImage from "ant-design-vue/es/skeleton/Image";
import SkeletonTitle from "ant-design-vue/es/skeleton/Title";
export { skeletonProps } from "ant-design-vue/es/skeleton/index";
Skeleton.name = 'JSkeleton';
SkeletonButton.name = 'JSkeletonButton';
SkeletonAvatar.name = 'JSkeletonAvatar';
SkeletonInput.name = 'JSkeletonInput';
SkeletonImage.name = 'JSkeletonImage';
SkeletonTitle.name = 'JSkeletonTitle';
Skeleton.install = function (app) {
  app.component(Skeleton.name, Skeleton);
  app.component(SkeletonButton.name, SkeletonButton);
  app.component(SkeletonAvatar.name, SkeletonAvatar);
  app.component(SkeletonInput.name, SkeletonInput);
  app.component(SkeletonImage.name, SkeletonImage);
  app.component(SkeletonTitle.name, SkeletonTitle);
  return app;
};
export default Skeleton;
export { SkeletonButton, SkeletonAvatar, SkeletonInput, SkeletonImage, SkeletonTitle };