import Table from './table';
import TableColumn from "ant-design-vue/es/table/Column";
import TableColumnGroup from "ant-design-vue/es/table/ColumnGroup";
import { TableSummary, TableSummaryRow, TableSummaryCell } from "ant-design-vue/es/table/index";
export { tableProps } from "ant-design-vue/es/table/index";
Table.name = 'JTable';
TableColumn.name = 'JTableColumn';
TableColumnGroup.name = 'JTableColumnGroup';
TableSummary.name = 'JTableSummary';
TableSummaryRow.name = 'JTableSummaryRow';
TableSummaryCell.name = 'JTableSummaryCell';
Table.install = function (app) {
  app.component(Table.name, Table);
  app.component(TableColumn.name, TableColumn);
  app.component(TableColumnGroup.name, TableColumnGroup);
  app.component(TableSummary.name, TableSummary);
  app.component(TableSummaryRow.name, TableSummaryRow);
  app.component(TableSummaryCell.name, TableSummaryCell);
  return app;
};
export default Table;
export { TableColumn, TableColumnGroup, TableSummary, TableSummaryRow, TableSummaryCell };