/* Analyzed bindings: {
  "type": "props",
  "scriptUrl": "props",
  "JAIcon": "setup-maybe-ref",
  "props": "setup-reactive-const"
} */
import { defineComponent as _defineComponent } from 'vue';
import { unref as _unref, openBlock as _openBlock, createBlock as _createBlock } from "vue";
import JAIcon from './icon';
const __sfc_main__ = /*#__PURE__*/ _defineComponent({
    props: {
        type: {
            type: String,
            default: 'ZoomOutOutlined',
        },
        scriptUrl: {
            type: String,
            default: '',
        },
    },
    setup(__props) {
        const props = __props;
        return (_ctx, _cache) => {
            return (_openBlock(), _createBlock(_unref(JAIcon), {
                class: "icon",
                type: props.type,
                "script-url": props.scriptUrl
            }, null, 8 /* PROPS */, ["type", "script-url"]));
        };
    }
});
export default __sfc_main__;