"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "InputGroup", {
  enumerable: true,
  get: function get() {
    return _Group.default;
  }
});
Object.defineProperty(exports, "InputPassword", {
  enumerable: true,
  get: function get() {
    return _Password.default;
  }
});
Object.defineProperty(exports, "InputSearch", {
  enumerable: true,
  get: function get() {
    return _Search.default;
  }
});
Object.defineProperty(exports, "Textarea", {
  enumerable: true,
  get: function get() {
    return _TextArea.default;
  }
});
exports.default = void 0;
var _Input = _interopRequireDefault(require("ant-design-vue/lib/input/Input"));
var _Group = _interopRequireDefault(require("ant-design-vue/lib/input/Group"));
var _Password = _interopRequireDefault(require("ant-design-vue/lib/input/Password"));
var _Search = _interopRequireDefault(require("ant-design-vue/lib/input/Search"));
var _TextArea = _interopRequireDefault(require("ant-design-vue/lib/input/TextArea"));
_Input.default.name = 'JInput';
_Group.default.name = 'JInputGroup';
_Password.default.name = 'JInputPassword';
_Search.default.name = 'JInputSearch';
_TextArea.default.name = 'JInputTextarea';
_Input.default.Group = _Group.default;
_Input.default.Search = _Search.default;
_Input.default.Password = _Password.default;
_Input.default.TextArea = _TextArea.default;
_Input.default.install = function (app) {
  app.component('JInput', _Input.default);
  app.component('JInputGroup', _Input.default.Group);
  app.component('JInputSearch', _Input.default.Search);
  app.component('JInputPassword', _Input.default.Password);
  app.component('JTextarea', _Input.default.TextArea);
  return app;
};
var _default = _Input.default;
exports.default = _default;