"use strict";

var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "MenuDivider", {
  enumerable: true,
  get: function get() {
    return _index.MenuDivider;
  }
});
Object.defineProperty(exports, "MenuItem", {
  enumerable: true,
  get: function get() {
    return _index.MenuItem;
  }
});
Object.defineProperty(exports, "MenuItemGroup", {
  enumerable: true,
  get: function get() {
    return _index.MenuItemGroup;
  }
});
Object.defineProperty(exports, "SubMenu", {
  enumerable: true,
  get: function get() {
    return _index.SubMenu;
  }
});
exports.default = void 0;
var _index = _interopRequireWildcard(require("ant-design-vue/lib/menu/index"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
_index.default.name = 'JMenu';
_index.MenuItem.name = 'JMenuItem';
_index.MenuItemGroup.name = 'JMenuItemGroup';
_index.SubMenu.name = 'JSubMenu';
_index.MenuDivider.name = 'JMenuDivider';
_index.default.install = function (app) {
  app.component(_index.default.name, _index.default);
  app.component(_index.MenuItem.name, _index.MenuItem);
  app.component(_index.MenuItemGroup.name, _index.MenuItemGroup);
  app.component(_index.SubMenu.name, _index.SubMenu);
  app.component(_index.MenuDivider.name, _index.MenuDivider);
  return app;
};
var _default = _index.default;
exports.default = _default;