"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _message = _interopRequireDefault(require("ant-design-vue/lib/message"));
function isArgsProps(content) {
  return Object.prototype.toString.call(content) === '[object Object]' && !!content.content;
}
var Message = {};
Message.warning = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? (0, _objectSpread2.default)({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return _message.default.warning(_content, duration, onClose);
};
Message.success = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? (0, _objectSpread2.default)({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return _message.default.success(_content, duration, onClose);
};
Message.warn = Message.warning;
Message.error = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? (0, _objectSpread2.default)({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return _message.default.error(_content, duration, onClose);
};
Message.open = function (arg) {
  return _message.default.open(arg);
};
Message.loading = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? (0, _objectSpread2.default)({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return _message.default.loading(_content, duration, onClose);
};
Message.info = function (content, duration, onClose) {
  var _content = isArgsProps(content) ? (0, _objectSpread2.default)({
    maxCount: 1
  }, content) : {
    maxCount: 1,
    content: content
  };
  return _message.default.info(_content, duration, onClose);
};
var _default = Message;
exports.default = _default;