"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _Welcome = _interopRequireDefault(require("./Welcome.js"));
var _default = [{
  path: '/welcome',
  component: _Welcome.default,
  meta: {
    title: '欢迎',
    icon: 'SmileFilled'
  }
}, {
  path: '/admin',
  meta: {
    title: '管理页',
    icon: 'CrownFilled'
  },
  component: _Welcome.default,
  children: [{
    path: '/admin/sub-page1',
    meta: {
      title: '一级页面',
      icon: 'CrownFilled'
    },
    component: _Welcome.default
  }, {
    path: '/admin/sub-page2',
    meta: {
      title: '二级页面',
      icon: 'CrownFilled'
    },
    component: _Welcome.default
  }, {
    path: '/admin/sub-page3',
    meta: {
      title: '三级页面',
      icon: 'CrownFilled'
    },
    component: _Welcome.default
  }]
}, {
  path: '/list',
  meta: {
    title: '列表页',
    icon: 'TabletFilled',
    hideInMenu: true
  },
  component: _Welcome.default,
  children: [{
    path: '/list/sub-page',
    meta: {
      title: '列表页面',
      icon: 'CrownFilled'
    },
    children: [{
      path: 'sub-sub-page1',
      meta: {
        title: '一一级列表页面',
        icon: 'CrownFilled'
      },
      component: _Welcome.default
    }, {
      path: 'sub-sub-page2',
      meta: {
        title: '一二级列表页面',
        icon: 'CrownFilled'
      },
      component: _Welcome.default
    }, {
      path: 'sub-sub-page3',
      meta: {
        title: '一三级列表页面',
        icon: 'CrownFilled'
      },
      component: _Welcome.default
    }]
  }, {
    path: '/list/sub-page2',
    meta: {
      title: '二级列表页面',
      icon: 'CrownFilled'
    },
    component: _Welcome.default
  }, {
    path: '/list/sub-page3',
    meta: {
      title: '三级列表页面',
      icon: 'CrownFilled'
    },
    component: _Welcome.default
  }]
}];
exports.default = _default;