"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "TableColumn", {
  enumerable: true,
  get: function get() {
    return _Column.default;
  }
});
Object.defineProperty(exports, "TableColumnGroup", {
  enumerable: true,
  get: function get() {
    return _ColumnGroup.default;
  }
});
Object.defineProperty(exports, "TableSummary", {
  enumerable: true,
  get: function get() {
    return _index.TableSummary;
  }
});
Object.defineProperty(exports, "TableSummaryCell", {
  enumerable: true,
  get: function get() {
    return _index.TableSummaryCell;
  }
});
Object.defineProperty(exports, "TableSummaryRow", {
  enumerable: true,
  get: function get() {
    return _index.TableSummaryRow;
  }
});
exports.default = void 0;
Object.defineProperty(exports, "tableProps", {
  enumerable: true,
  get: function get() {
    return _index.tableProps;
  }
});
var _table = _interopRequireDefault(require("./table"));
var _Column = _interopRequireDefault(require("ant-design-vue/lib/table/Column"));
var _ColumnGroup = _interopRequireDefault(require("ant-design-vue/lib/table/ColumnGroup"));
var _index = require("ant-design-vue/lib/table/index");
_table.default.name = 'JTable';
_Column.default.name = 'JTableColumn';
_ColumnGroup.default.name = 'JTableColumnGroup';
_index.TableSummary.name = 'JTableSummary';
_index.TableSummaryRow.name = 'JTableSummaryRow';
_index.TableSummaryCell.name = 'JTableSummaryCell';
_table.default.install = function (app) {
  app.component(_table.default.name, _table.default);
  app.component(_Column.default.name, _Column.default);
  app.component(_ColumnGroup.default.name, _ColumnGroup.default);
  app.component(_index.TableSummary.name, _index.TableSummary);
  app.component(_index.TableSummaryRow.name, _index.TableSummaryRow);
  app.component(_index.TableSummaryCell.name, _index.TableSummaryCell);
  return app;
};
var _default = _table.default;
exports.default = _default;