"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.urlReg = exports.isUrl = exports.isImg = exports.imgReg = void 0;
// 用于校验 url
var urlReg = /(((^https?:(?:\/\/)?)(?:[-;:&=\+\$,\w]+@)?[A-Za-z0-9.-]+(?::\d+)?|(?:www.|[-;:&=\+\$,\w]+@)[A-Za-z0-9.-]+)((?:\/[\+~%\/.\w-_]*)?\??(?:[-\+=&;%@.\w_]*)#?(?:[\w]*))?)$/;
exports.urlReg = urlReg;
var isUrl = function isUrl(path) {
  return urlReg.test(path);
};
/** 判断是否是图片链接 */
exports.isUrl = isUrl;
var imgReg = /\w.(png|jpg|jpeg|svg|webp|gif|bmp)$/i;
exports.imgReg = imgReg;
var isImg = function isImg(path) {
  return imgReg.test(path);
};
exports.isImg = isImg;